<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/shif.php';
include_once 'sys/inc/user.php';

if(!isset($user)){
header('Location: ../aut.php');
} else {

$ank['id'] = abs(intval($_GET['id'])); //фильтр
$ank=get_user($ank['id']); 
if((!$ank) || $ank[id]==0) {
$set['title']='Ошибка';
include_once 'sys/inc/thead.php';
title();
aut();
echo "<div class='post1'>Пользователь не найден! <img src='http://rugame.mobi/smile/tf_sm/tf.gif' alt='LOL' /></div>";
} else {

if($ank['id']==$user['id']) {
$set['title']='Ошибка';
include_once 'sys/inc/thead.php';
title();
aut();
echo '<div class="post1">Нельзя самому себе монет отсыпать  <img src="http://rugame.mobi/smile/tf_sm/tf.gif" alt="LOL" /></div>';
} else {

$min=5; //Минимальный перевод
$max=150; //Максимальный перевод

$act=htmlspecialchars(trim($_GET['act']));
switch ($act){
default:

$set['title']='Перевод монет';
include_once 'sys/inc/thead.php';
title();
aut();

echo "&laquo; <a href='/info.php?".$ank['id']."'>В анкету ".$ank['nick']."</a><br /><br />";
echo '<div class="post1">';
echo 'У тебя <b><font color="green">'.$user['balls'].'</font></b> монет. <br />';
echo '1. За раз перевод не менее <em><b>'.$min.'</b></em> и не более <em><b>'.$max.'</b></em> монет<br />';
echo '2. После перевода у тебя должно остаться не менее <u><b><font color="red">'.$min.'</font></b></u> монет<br />';
echo '3. Для осуществления перевода необходимо будет ввести пароль учетной записи<br />';
echo 'Кому отправляем монетки: <a href="/info.php?id='.$ank['id'].'"><b>'.$ank['nick'].'</b></a><br /><br />';
echo "<form action=\"?id=".$ank['id']."&amp;act=1\" method=\"post\">";
echo 'Сколько переводим?<br /><input type="text" name="perevod" value="" size="3" /><br />';
echo '<input type="submit" value="Перевести"/>';
echo "</form>";
echo '</div>';
break;

case '1':

$perevod = abs(intval($_POST['perevod']));
if($perevod<$min || $perevod>$max) {
$set['title']='Ошибка';
include_once 'sys/inc/thead.php';
title();
aut();
echo '<div class="post1">';
echo 'Извините! <br/>
Некорректная сумма перевода <br/>
Необходим перевод не менее <b><em>'.$min.'</em></b> и не более <em><b>'.$max.'</b></em> монет за один раз <br/></div>';
} else {

$meNbhe=$user['balls']-$perevod;
if($meNbhe<$min) {
$set['title']='Ошибка';
include_once 'sys/inc/thead.php';
title();
aut();
echo '<div class="post1">';
echo 'Извините!<br />После данного перевода у Вас не останется '.$min.' баллов!<br />';
echo '</div>';
} else {

if(!isset($_POST['pass']) && !isset($_POST['txt_prim'])){
$set['title']='Подтверждение перевода';
include_once 'sys/inc/thead.php';
title();
aut();
echo '<div class="post1">';
echo 'Внимание<br /> 
Пожалуйста, проверьте все данные<br /><br />';
echo 'У тебя <b><font color="green">'.$user['balls'].'</font></b> монет.<br />';
echo 'Переводите: <b>'.$perevod.'</b> монет.<br />';
echo 'У Вас останется: <b>'.$meNbhe.'</b> монет.<br /><br />';
echo 'Кому отправляем монетки: <a href="/info.php?id='.$ank['id'].'"><b>'.$ank['nick'].'</b></a><br /><br />';
echo 'Подтвердите операцию<br />
1. Укажите Ваш текущий пароль<br /> 
2. Нажмите кнопку "Перевести"<br /><br />';
echo "<form action=\"?id=".$ank['id']."&amp;act=1\" method=\"post\">
Ваш пароль:<br /><input type=\"password\" name=\"pass\" size=\"10\"/><br/><br />
<input type=\"hidden\" name=\"perevod\" value=\"".abs(intval($_POST['perevod']))."\"/>
<input type=\"submit\" value=\"Перевести\"/>
</form>";
echo "</div>";
} else {
if (isset($_POST['pass']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = $user[id] AND `pass` = '".shif($_POST['pass'])."' LIMIT 1"), 0)==false) {
$set['title']='Ошибка';
include_once 'sys/inc/thead.php';
title();
aut();
echo '<div class="post1">';
echo 'Извините!<br /> 
Введенный пароль не совпадает с Вашим текущим паролем<br /> 
Попробуйте повторить операцию<br />';
echo "</div>";
} else {
$msg="Пользователь [url=/info.php?id=".$user['id']."]".$user['nick']."[/url] ".($user['pol'] == 1 ? 'перевел' : 'перевела')." Вам [b]".$perevod."[/b] монет :-)";
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$msg', '$time')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-$perevod)."' WHERE `id` = '$user[id]'");
mysql_query("UPDATE `user` SET `balls` = '".($ank['balls']+$perevod)."' WHERE `id` = '$ank[id]'");
$set['title']='Выполнено';
include_once 'sys/inc/thead.php';
title();
aut();
echo '<div class="post1">';
echo 'Поздравляем<br />
Перевод монет завершен';
echo '</div>';
include_once 'sys/inc/tfoot.php';
exit;
}
}
}
}
break;
}
}
}
}

include_once 'sys/inc/tfoot.php';
?>
